"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncWrapper = void 0;
const HTTPError_1 = require("./HTTPError");
function AsyncWrapper(fn) {
    return function WrappedAsync(req, res, next) {
        fn(req, res, next).catch((err) => {
            next(new HTTPError_1.HTTPError(err, req));
        });
    };
}
exports.AsyncWrapper = AsyncWrapper;
//# sourceMappingURL=AsyncWrapper.js.map