"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPError = void 0;
class HTTPError extends Error {
    status;
    method;
    path;
    error;
    constructor(err, req, status = 500) {
        super(err.message);
        this.name = err.name;
        this.status = status;
        this.method = req.method;
        this.path = req.path;
        this.error = err;
    }
}
exports.HTTPError = HTTPError;
//# sourceMappingURL=HTTPError.js.map